Shopping Cart

Join our Mailing List

Receive the latest email updates on all things BOSEbuild

Compatible Devices

Compatible Devices

In order to use the BOSEbuild Speaker Cube, an Apple iOS device is required.  It must be one of the iPhone, iPad or iPod touch models mentioned below running iOS 8 or newer.  This device is only required for an hour or two for the explore and build activities.

After the initial activities, any device with a 3.5mm AUX jack or Bluetooth (specifically those that use Bluetooth 2.1 or later that support A2DP) can be used to play music.  

List of All Compatible Apple Devices

The following is a complete list of devices compatible with the BOSEbuild Sound App (to drive the explore and build activities).  The device must be running iOS version 8.0 or higher.  

  • iPhone 7 Plus
  • iPhone 7
  • iPhone SE
  • iPhone 6S Plus
  • iPhone 6S
  • iPhone 6 Plus
  • iPhone 6
  • iPhone 5S
  • iPhone 5C
  • iPhone 5
  • iPhone 4S

  • iPad Pro (12.9-inch)
  • iPad Pro (9.7-inch)
  • iPad mini 4
  • iPad Air 2
  • iPad mini 3
  • iPad Air
  • iPad mini 2
  • iPad mini
  • iPad (3rd and 4th generation)

  • iPod touch (5th and 6th generation)

    THE BOSEbuild Speaker Cube

    Build and customize your own durable, high-performance Bluetooth® speaker

    Learn More

    Join our Mailing List

    Receive the latest email updates on all things BOSEbuild